List all Users
curl --request GET \
--url https://api.captaindata.co/v3/users \
--header 'Authorization: <api-key>' \
--header 'x-project-id: <api-key>'import requests
url = "https://api.captaindata.co/v3/users"
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'x-project-id': '<api-key>'}
};
fetch('https://api.captaindata.co/v3/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"uid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"email": "guillaume@captaindata.co",
"full_name": "Guillaume Odier",
"project_uid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"first_name": "Guillaume",
"last_name": "Odier",
"country": "fr",
"accounts": [
{
"uid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"application_permalink": "linkedin"
}
]
}
],
"nbr_users": 37,
"limit": 30,
"pages": 2,
"paging": {
"previous": null,
"next": "https://api.captaindata.co/v3/users?page=1"
}
}Users
List all Users
GET
/
v3
/
users
List all Users
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Query Parameters
To search for specific users by role: 'user', 'external', 'admin', and 'owner'.
A string used to specify the keyword or phrase to search for within the Users, like an email or a User's name.
Setting this to TRUE will retrieve the Accounts data, but please note it may take longer to compute.
To iterate through the list of Users.
Response
200 - application/json
Successful Response